//--------------------DIALOGUE DE PARAMETRAGE DE L'ALARME---------------------------------
unit Dialogue;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, DateUtils;

type
  Tfm_dialogue = class(TForm)
    dtp_date: TDateTimePicker;
    dtp_heure: TDateTimePicker;
    lbl_date: TLabel;
    lbl_heure: TLabel;
    ed_libelle: TEdit;
    lbl_libelle: TLabel;
    bt_ok: TButton;
    bt_annuler: TButton;
    procedure FormShow(Sender: TObject);
    procedure bt_okClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

//var
//  fm_dialogue: Tfm_dialogue;  // pourrait tre enlev

implementation

{$R *.dfm}

procedure Tfm_dialogue.FormShow(Sender: TObject);
// initialisation:date en cours, heure en cours (sans les secondes)
var moment:TDateTime;
begin
	moment:=Now;
  dtp_date.DateTime:=DateOf(moment);
	moment:=EncodeTime(HourOf(moment),MinuteOf(moment),0,0);
  dtp_heure.DateTime:=moment;
end;

procedure Tfm_dialogue.bt_okClick(Sender: TObject);
// contrle:alarme suprieure au moment prsent
begin
	dtp_date.Time:=dtp_heure.Time;
	if CompareDateTime(dtp_date.DateTime,Now)=-1 then
    	ShowMessage('Alarme incorrecte !')
  else
		ModalResult:=mrOk;
end;

end.
